Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Rund um AutoCAD
  Attribute in Liste ausgeben

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Attribute in Liste ausgeben (943 mal gelesen)
Richard87
Mitglied
Technischer Zeichner


Sehen Sie sich das Profil von Richard87 an!   Senden Sie eine Private Message an Richard87  Schreiben Sie einen Gästebucheintrag für Richard87

Beiträge: 101
Registriert: 23.04.2013

ACAD 2016

erstellt am: 06. Apr. 2018 10:26    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo,

wollte mir einen Button erstellen um eine Attributliste vom Block "kpunkt" auszugeben aber irgendwie komme ich nicht weiter.

Mein Ansatz: Blöcke markieren -> Befehl für Listenausgabe --> Benutzereingabe für Pfad

^C^C(ssget "_X" '((0 . "INSERT") (2 . "kpunkt")));attout;\;

wo liegt mein Fehler?


Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadwomen
Ehrenmitglied V.I.P. h.c.
Mädchen für fast alles


Sehen Sie sich das Profil von cadwomen an!   Senden Sie eine Private Message an cadwomen  Schreiben Sie einen Gästebucheintrag für cadwomen

Beiträge: 2653
Registriert: 26.08.2002

erstellt am: 06. Apr. 2018 10:51    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Richard87 10 Unities + Antwort hilfreich

Hallo Richard87

was kommt dem in Textfenster wenn du das ausführst ?

cu cw

------------------
Also ich finde Unities gut ... und andere sicher auch
------------------------------------------------
cadwomen™
Plant ist nur die Spitze des Berges der da treibt ?

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Richard87
Mitglied
Technischer Zeichner


Sehen Sie sich das Profil von Richard87 an!   Senden Sie eine Private Message an Richard87  Schreiben Sie einen Gästebucheintrag für Richard87

Beiträge: 101
Registriert: 23.04.2013

ACAD 2016

erstellt am: 06. Apr. 2018 10:54    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Befehl: (ssget "_X" '((0 . "INSERT") (2 . "kpunkt")))
<Selection set: 1684>

Befehl: attout

Objekte wählen: *Abbruch*

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Richard87
Mitglied
Technischer Zeichner


Sehen Sie sich das Profil von Richard87 an!   Senden Sie eine Private Message an Richard87  Schreiben Sie einen Gästebucheintrag für Richard87

Beiträge: 101
Registriert: 23.04.2013

ACAD 2016

erstellt am: 06. Apr. 2018 10:57    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Ich habe natürlich abgebrochen, da ich die Blöcke nicht selbst wählen will sondern über die ssget Funktion.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadwomen
Ehrenmitglied V.I.P. h.c.
Mädchen für fast alles


Sehen Sie sich das Profil von cadwomen an!   Senden Sie eine Private Message an cadwomen  Schreiben Sie einen Gästebucheintrag für cadwomen

Beiträge: 2653
Registriert: 26.08.2002

erstellt am: 06. Apr. 2018 11:08    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Richard87 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von Richard87:
Ich habe natürlich abgebrochen, da ich die Blöcke nicht selbst wählen will sondern über die ssget Funktion.

nun wenn ich das richtig sehe werden die ja gewählt

<Selection set: 1684>

also fehlt nur die Übernahme ?  Objektwahl "vorherige" oder ein return ? ob das so geht weis ich nicht

cu cw

------------------
Also ich finde Unities gut ... und andere sicher auch
------------------------------------------------
cadwomen™
Plant ist nur die Spitze des Berges der da treibt ?

[Diese Nachricht wurde von cadwomen am 06. Apr. 2018 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADchup
Ehrenmitglied V.I.P. h.c.




Sehen Sie sich das Profil von CADchup an!   Senden Sie eine Private Message an CADchup  Schreiben Sie einen Gästebucheintrag für CADchup

Beiträge: 3307
Registriert: 14.03.2001

Sicher ist, dass nichts sicher ist. Selbst das nicht.
Joachim Ringelnatz

erstellt am: 06. Apr. 2018 11:15    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Richard87 10 Unities + Antwort hilfreich

Hi,

hier heißt es fröhliches Semikolon-schubsen und Eingabeschummeln. Nicht immer braucht's das bei einem Befehlsaufruf:
^C^C(ssget "_X" '((0 . "INSERT") (66 . 1)(2 . "kpunkt")));attout;_p;;


Gruß
CADchup

------------------
CADmaro.de

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Richard87
Mitglied
Technischer Zeichner


Sehen Sie sich das Profil von Richard87 an!   Senden Sie eine Private Message an Richard87  Schreiben Sie einen Gästebucheintrag für Richard87

Beiträge: 101
Registriert: 23.04.2013

ACAD 2016

erstellt am: 06. Apr. 2018 11:23    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Perfekt!

Vielen Dank!

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Richard87
Mitglied
Technischer Zeichner


Sehen Sie sich das Profil von Richard87 an!   Senden Sie eine Private Message an Richard87  Schreiben Sie einen Gästebucheintrag für Richard87

Beiträge: 101
Registriert: 23.04.2013

ACAD 2016

erstellt am: 19. Apr. 2018 10:01    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Leider funktioniert der Spaß nicht mit dynamischen Blöcken.

Gibt es hierfür auch so eine einfache Lösung?

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADmium
Moderator
Maschinenbaukonstrukteur




Sehen Sie sich das Profil von CADmium an!   Senden Sie eine Private Message an CADmium  Schreiben Sie einen Gästebucheintrag für CADmium

Beiträge: 13413
Registriert: 30.11.2003

Hinweis: Meine Mitarbeit auf CAD.DE ist fakultativ, unentgeltlich und beruht nur auf einem ausgeprägtem Helfersyndrom.

erstellt am: 19. Apr. 2018 11:38    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Richard87 10 Unities + Antwort hilfreich


BLOCKSELECTFORATTOUT.zip

 
Zitat:
Original erstellt von Richard87:
Leider funktioniert der Spaß nicht mit dynamischen Blöcken.

Gibt es hierfür auch so eine einfache Lösung?


Ja, ist dann aber kein Einzeiler mehr.

anbei mal ein Tool zum testen , was Blockreferenzen mit Attributen, auch dynamische , nach einer Blocknamenfilterliste wählt....
Das Tool muss geladen sein ( in acaddoc.lsp oder anders ) ...
Funktionsaufrufe wären
(BLOCKSELECTFORATTOUT(cdr(assoc 2(entget(car(entsel"\nBlock wählen:")))))
oder
(BLOCKSELECTFORATTOUT "*")
oder
(BLOCKSELECTFORATTOUT "BLOCK1,BLOCK2")


die Zeile für dich sollte dann folgende sein:
^C^C(BLOCKSELECTFORATTOUT "kpunkt");attout;_p;;

------------------
Also ich finde Unities gut ... und andere sicher auch
---------------------------------------
  - Thomas -          
"Bei 99% aller Probleme ist die umfassende Beschreibung des Problems bereits mehr als die Hälfte der Lösung desselben."

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2019 CAD.de | Impressum | Datenschutz